#!/bin/bash
#
# Author: dacomo
# Date: 17-5-21
# Version: 1.0
#
clear
#####CHECK IF YOU ARE THE ROOT USER###############################################################################
if (( EUID != 0 ))
then
  echo "This script must be run as a root"
  exit 2 # A different exit code when your script fails because you are not working with permissions  of root user 
fi
##################################################################################################################
echo "SCRIPT FOR ADDING A NEW USER"
echo
echo -n "User name: "
read username
echo -n "UID: "
read uid
echo -n "Grup: "
read gid
echo -n "Personal folder: "
read dir
echo -n "Skeleton folder: "
read skel
echo -n "Shell: "
read sh
echo -n "Password: "
read -s pwd
echo
useradd $username -u $uid -g $gid -d $dir -m -k /etc/$skel -s $sh -p $(mkpasswd $pwd) 2> /dev/null # 2> /dev/null  is an extra to improve my script
if [[ $? != 0 ]]
then
	echo "The user $username has not been created" # It  is an extra to improve the script.
	exit 1
fi
echo "The user $username has been created succesfully" # It is an extra to improve my script
exit 0
