#!/bin/bash
#
# Author: dacomo
# Date: 17-5-21
# Version: 1.0
#
clear
#####CHECK IF YOU ARE THE ROOT USER###############################################################################
if (( EUID != 0 ))
then
  echo "This script must be run as a root"
  exit 1
fi
###################################################################################################################
dpkg -P bomba 2> /dev/null # -P means uninstall and purge. Redirect error output to /dev/null. Only the script error messages will be displayed on the terminal
if [[ $? != 0 ]]
then
	echo "Debian package not uninstalled and purged"
	exit 2
fi
exit 0
