#!/bin/bash
#
# Author: dacomo
# Date: 17-5-21
# Version: 1.0
#
clear
#####CHECK IF YOU ARE THE ROOT USER###############################################################################
if (( EUID != 0 ))
then
  echo "This script must be run as a root"
  exit 1
fi
###################################################################################################################
wget http://www.collados.org/asix1/m01/tu3/bomba.deb # Redirect error output to /dev/null. Only the script error messages will be displayed on the terminal 
if [[ $? != 0 ]]
then
	echo "Debian package not found"
	exit 2
fi
dpkg -i bomba.deb 2> /dev/null # Redirect error output to /dev/null. Only the script error messages will be displayed on the terminal 
if [[ $? != 0 ]]
then
	echo "Debian package not installed on your system"
	exit 3
fi
bomba 2> /dev/null # Redirect error output to /dev/null. Only the script error messages will be displayed on the terminal 
if [[ $? != 0 ]]
then
	echo "Problems running bomba"
	exit 4
fi
exit 0
