#!/bin/bash
#
# Author: dacomo
# Date: 17-5-21
# Version: 1.0
#
clear
#####CHECK IF YOU ARE THE ROOT USER###############################################################################
if (( EUID != 0 ))
then
  echo "This script must be run as a root"
  exit 1 
fi
###################################################################################################################
cont="y"
while [[ $cont == "y" ]]
do
	clear
	echo "MENU:"
	echo "1) Update the list of software"
	echo "2) Install alpine-pico"
	echo "3) Install vim"
	echo "4) Remove alpine-pico"
	echo "5) Remove vim"
	echo -n "Select an option: "
	read op
	case $op in
		1) 	aptitude update
			;;
		2) 	aptitude install alpine-pico
			;;
		3) 	aptitude install vim
			;;
		4) 	aptitude remove alpine-pico
			;;
		5) 	aptitude remove vim
			;;	
		*) 	echo "Wrong option. Please, select 1/2/3/4/5"
			;;
	esac
	echo -n "Do you want to continue [y/n]: "
	read cont 
done
exit 0
