#!/bin/bash
#
# Author: dacomo
# Date: 17-5-21
# Version: 1.0
#
clear
#####CHECK IF YOU ARE THE ROOT USER###############################################################################
if (( EUID != 0 ))
then
  echo "This script must be run as a root"
  exit 2 # A different exit code when your script fails because you are not working with permissions  of root user 
fi
##################################################################################################################
clear
echo "SCRIPT FOR ADDING A NEW GROUP"
echo
echo -n "Group name: "
read group
echo -n "GID: "
read gid
groupadd $group -g $gid 2> /dev/null # 2> /dev/null is an extra to improve my script
if [[ $? != 0 ]]
then
	echo "The group $group has not been created" # It is an extra to improve my script
	exit 1
fi
echo "The group $group has been created succesfully" # It is an extra to improve my script
exit 0
