#!/bin/bash
#
# Author: dacomo
# Date: 17-5-21
# Version: 1.0
#
if [[ $# != 2 ]]
then
	echo "Wrong number of parameters. Please, supply 2 parameters to the script"
	exit 10
fi
if [[ ! -d $2 ]]
then
	echo "The specified directory does not exists"
	exit 20
fi
gzip $2/*.$1 2> /dev/null
exit 0
